/*
  * Copyright 2015 The CHOReVOLUTION project
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *      http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
package eu.chorevolution.studio.eclipse.core.preferences;

import java.util.ArrayList;
import java.util.List;

public class ChorevolutionServicesURIPrefs extends ChorevolutionPrefs{

	public final static String PREF_APACHE_SYNCOPE_URI = "apache.syncope.uri.property";
	public final static String PREF_APACHE_SYNCOPE_USERNAME = "apache.syncope.username.property";
	public final static String PREF_APACHE_SYNCOPE_PASSWORD = "apache.syncope.password.property";
    public final static String PREF_APACHE_SYNCOPE_DOMAIN = "apache.syncope.domain.property";
    	
    public final static String PREF_SYNTHESIS_PROCESSOR_BPMN2_CHOREOGRAPHY_PROJECTOR_URI = "synthesis.processor.bpmn2.choreography.projector.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_BPMN2_CHOREOGRAPHY_VALIDATOR_URI = "synthesis.processor.bpmn2.choreography.validator.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_CD_GENERATOR_URI = "synthesis.processor.cd.generator.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_BC_GENERATOR_URI = "synthesis.processor.bc.generator.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_SF_GENERATOR_URI = "synthesis.processor.sf.generator.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_CHOREOGRAPHY_ARCHITECTURE_GENERATOR_URI = "synthesis.processor.choreography.architecture.generator.uri.property";
    public final static String PREF_SYNTHESIS_PROCESSOR_CHOREOGRAPHY_DEPLOYMENT_DESCRIPTION_GENERATOR_URI = "synthesis.processor.choreography.deployment.description.generator.uri.property";
    
    
	
	public ChorevolutionServicesURIPrefs() {
		defaultPropertyValues =  new ArrayList<ChorevolutionPreferenceData>();
		defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_APACHE_SYNCOPE_URI, "Apache Syncope URI", "http://localhost:9080/syncope/rest/", ""));
		defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_APACHE_SYNCOPE_USERNAME, "Username", "admin", ""));
		defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_APACHE_SYNCOPE_PASSWORD, "Password", "password", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_APACHE_SYNCOPE_DOMAIN, "Domain", "Master", ""));
        
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_BPMN2_CHOREOGRAPHY_PROJECTOR_URI, "BPMN2 Choreography Projection Generator URI", "http://localhost:9091/synthesisprocessor/choreographyprojectiongenerator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_BPMN2_CHOREOGRAPHY_VALIDATOR_URI, "BPMN2 Choreography Validator URI", "http://localhost:9091/synthesisprocessor/choreographyvalidator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_CD_GENERATOR_URI, "Coordination Delegate Generator URI", "http://localhost:9091/synthesisprocessor/coordinationdelegategenerator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_BC_GENERATOR_URI, "Binding Component Generator URI", "http://localhost:9091/synthesisprocessor/bindingComponentGenerator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_SF_GENERATOR_URI, "Security Filter Generator URI", "http://localhost:9091/synthesisprocessor/securityfiltergenerator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_CHOREOGRAPHY_ARCHITECTURE_GENERATOR_URI, "Choreography Architecture Generator URI", "http://localhost:9091/synthesisprocessor/choreographyarchitecturegenerator/", ""));
        defaultPropertyValues.add(new ChorevolutionPreferenceData( PREF_SYNTHESIS_PROCESSOR_CHOREOGRAPHY_DEPLOYMENT_DESCRIPTION_GENERATOR_URI, "Choreography Deployment Descriptor Generator URI", "http://localhost:9091/synthesisprocessor/choreographydeploymentdescriptorgenerator/", ""));
        
	}

	@Override
	public List<ChorevolutionPreferenceData> restoreDefaults() {
		return defaultPropertyValues;
	}
}
